Package org.apache.lucene.index

# Class TermState

java.lang.Object
org.apache.lucene.index.TermState

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `OrdTermState`

public abstract class TermState extends Object implements Cloneable
Encapsulates all required internal state to position the associated `TermsEnum` without re-seeking.

See Also:
  - `TermsEnum.seekExact(org.apache.lucene.util.BytesRef, TermState)`
  - `TermsEnum.termState()`
WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TermState()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TermState`
  `clone()`
  `abstract void`
  `copyFrom(TermState other)`
  Copies the content of the given `TermState` to this instance
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TermState

    protected TermState()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### copyFrom

    public abstract void copyFrom(TermState other)
    Copies the content of the given `TermState` to this instance
    Parameters:
      `other` - the TermState to copy

  - ### clone

    public TermState clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`